## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _description %{expand:
This is a backport of the BaseExceptionGroup and ExceptionGroup classes from Python 3.11.

It contains the following:

- The exceptiongroup.BaseExceptionGroup and exceptiongroup.ExceptionGroup
  classes
- A utility function (exceptiongroup.catch()) for catching exceptions possibly
  nested in an exception group
- Patches to the TracebackException class that properly formats exception
  groups (installed on import)
- An exception hook that handles formatting of exception groups through
  TracebackException (installed on import)
- Special versions of some of the functions from the traceback module, modified
  to correctly handle exception groups even when monkey patching is disabled,
  or blocked by another custom exception hook:
    - traceback.format_exception()
    - traceback.format_exception_only()
    - traceback.print_exception()
    - traceback.print_exc()

If this package is imported on Python 3.11 or later, the built-in
implementations of the exception group classes are used instead,
TracebackException is not monkey patched and the exception hook won’t be
installed.

See the standard library documentation for more information on exception
groups.}

Name:           python-exceptiongroup
Version:        1.0.4
Release:        %{autorelease}
Summary:        Backport of the BaseExceptionGroup and ExceptionGroup classes from Python 3.11.

License:        MIT
URL:            https://pypi.org/project/exceptiongroup/
Source:         %{pypi_source exceptiongroup}

BuildArch:      noarch

%description %_description

%package -n python3-exceptiongroup
Summary:        %{summary}
BuildRequires:  python3-devel

%description -n python3-exceptiongroup %_description

%prep
%autosetup -n exceptiongroup-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files exceptiongroup

%check
%pyproject_check_import

%files -n python3-exceptiongroup -f %{pyproject_files}
%doc README.rst
%license LICENSE

%changelog
* Tue Nov 22 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.0.4-4
- Uncommitted changes

* Tue Nov 22 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.0.4-3
- feat: remove pytest: no tests

* Tue Nov 22 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.0.4-2
- wip: requires flit_scm

* Tue Nov 22 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.0.4-1
- feat: init
